# Uses of Interface
jdk.jshell.SourceCodeAnalysis.ElementSuggestionConvertor

Packages that use SourceCodeAnalysis.ElementSuggestionConvertor
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.ElementSuggestionConvertor in jdk.jshell

Methods in jdk.jshell with parameters of type SourceCodeAnalysis.ElementSuggestionConvertor
Modifier and Type
Method
Description
`abstract <S> List<S>`
SourceCodeAnalysis.`completionSuggestions(String input, int cursor, SourceCodeAnalysis.ElementSuggestionConvertor<S> convertor)`
Compute possible follow-ups for the given input.